Subject: bug#27605: closed (Re: bug#27605: Lightweight desktop example fails to build with kernel panic)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Jul 2017 13:22:02 +0000

Your bug report

#27605: Lightweight desktop example fails to build with kernel panic

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27605: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27605
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27605: Lightweight desktop example fails to build with kernel panic
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Jul 2017 09:21:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jul 07, 2017 at 08:53:37AM -0400, Leo Famulari wrote:
> On Fri, Jul 07, 2017 at 02:23:05PM +0200, Ludovic Courtès wrote:
> > Did you pass --image-size?  If not, it could be that the image size
> > estimate is slightly too small (see commit
> > a8ac4f081a9a679498ea42ccfe001f218bba3043).
> > 
> > The build log should contain something like:
> > 
> >   creating ~a image of ~,2f MiB...
> > 
> > where ~a is “raw” or “qcow2” depending on the “guix system” command you
> > used.
> > 
> > Could you check what happens if you pass a --image-size argument bigger
> > than that?
> 
> I doubled it from ~10 GiB to ~20 GiB:
> 
> > creating qcow2 image of 19359.59 MiB...
> 
> This example template uses EFI, which I'm not that familiar with. But I
> suspect something about the bootloader or filesystems configuration is
> wrong.

Actually, false alarm! After increasing the image size to 20 GiB, I
missed the messages about being out of space. Sorry for the noise!

Subject: Lightweight desktop example fails to build with kernel panic
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 6 Jul 2017 23:49:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[...]
registering closures...
populating...
creating FAT partition...
mkfs.fat 4.1 (2017-01-24)
mounting root partition...
[  688.377705] EXT4-fs (vda1): mounted filesystem with ordered data mode. Opts: (null)
installing bootloader...
/gnu/store/0g5bgkc757xmafxs2prjj896qpzj9wan-grub-efi-2.02/sbin/grub-install: error: /gnu/store/0g5bgkc757xmafxs2prjj896qpzj9wan-grub-efi-2.02/lib/grub/i386-pc/modinfo.sh doesn't exist. Please specify --target or --directory.
ERROR: In procedure scm-error:
ERROR: failed to install GRUB

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
[  688.458461] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000000
[  688.458461] 
[  688.459789] CPU: 0 PID: 1 Comm: init Not tainted 4.12.0-gnu #1
[  688.460629] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.10.2-0-g5f4c7b1-prebuilt.qemu-project.org 04/01/2014
[  688.462310] Call Trace:
[  688.462857]  dump_stack+0x63/0x82
[  688.463785]  panic+0xe4/0x22d
[  688.464611]  do_exit+0xae2/0xaf0
[  688.465509]  ? wake_up_state+0x10/0x20
[  688.466330]  do_group_exit+0x43/0xb0
[  688.467147]  SyS_exit_group+0x14/0x20
[  688.467999]  entry_SYSCALL_64_fastpath+0x1e/0xa9
[  688.469144] RIP: 0033:0x5e6b98
[  688.469902] RSP: 002b:00007ffe66065998 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
[  688.471236] RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00000000005e6b98
[  688.472252] RDX: 0000000000000000 RSI: 000000000000003c RDI: 0000000000000000
[  688.473413] RBP: 0000000000a51938 R08: 00000000000000e7 R09: ffffffffffffffc8
[  688.475139] R10: 0000000000000ec0 R11: 0000000000000246 R12: 0000000000000001
[  688.476422] R13: 0000000000a7f020 R14: 000000000352b700 R15: 0000000000000001
[  688.477540] Kernel Offset: 0x37000000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[  688.479119] ---[ end Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000000
[  688.479119]